<div class="container">
  <h1 class="text-center pt-5">Checkouts Page</h1>
    <div class="row m-4">
      <br><br><br><br>
        <table class="table text-center" id="carttable">
        </table>
        <hr>
    </div>
    <div class="row">
      <div class="input-group mb-3">
        <input type="text" class="form-control" placeholder="Enter Your Address" id="address" onchange="onchg()">
      </div>
    </div>
    <div class="row">
      <div class="input-group mb-3">
        <input type="text" class="form-control border-0 text-center bg-white" id="subtotal" readonly>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4 offset-md-4">   
        <button class='btn btn-primary btn-lg btn-block' id="placeorder">Place</button>
      </div>      
    </div>    
</div>

<script>

  const cardBoxTable = document.querySelector("#carttable");
  let tableData = '';
  tableData += '<tr><th>Title</th><th>Quantity</th><th>Total</th></tr>';
  if(JSON.parse(sessionStorage.getItem('items'))[0] === null){
    tableData += '<tr><td colspan="5">No items found</td></tr>'
  }
  else{
    JSON.parse(sessionStorage.getItem('items')).map(data=>{
      tableData += '<tr><td>'+data.title+'</td><td>'+data.quantity+'</td><td>'+data.total+'</td></tr>';
    });
  }
  cardBoxTable.innerHTML = tableData;
  
  subtotal=JSON.parse(sessionStorage.getItem('subtotal'));
  document.getElementById("subtotal").value="Your total amount is: Rs "+subtotal;

  function onchg(){
    address=document.getElementById("address").value;
    sessionStorage.setItem("address",JSON.stringify(address));
    k="<%= current_user.id %>";
    sessionStorage.setItem("user_id",JSON.stringify(k));
  }
</script>

